import java.io.*;
import java.util.*;

public class Degree implements Serializable
{
	private Vector modules;
	private String nameOfDegree;

	/**
	The Degree class enables an object that represents
	a college degree containing a number of pre-defined
	modules.
	@param name is the name of the degree
	*/
	public Degree(String name)
	{
		nameOfDegree = name;
		modules = new Vector();
	}

	// instance methods
	/**
	Add a module to the degree.
	@param module is the module to be added
	*/
	public void addModule(Module module)
	{
		modules.add(module);
	}

	/**
	Returns the name of the degree.
	@return name of the degree.
	*/
	public String getNameOfDegree()
	{
		return nameOfDegree;
	}

	/**
 	Returns a vector containing the names of the modules
	that form the degree.
	@return A vector containing the names of the degree modules.
	*/
	public Vector getDegreeModules()
	{
		return modules;
	}
}
