import java.io.*;

public class Module implements Serializable
{
	protected String moduleName;
	protected int examWeight;
	
	// default constructor
	public Module(){}
	/**
	The Module class enables an object that represents a study
	unit within a degree. A single degree consists of at least
	one module.
	@param name is the name of the module.
	@param weight is the proportion of the assessment that is 
	examination based e.g. a weight of 60 implies that the assessment
	is 60% examination 40% coursework.
	*/	
	public Module(String name, int weight)
	{
		moduleName = name;
		examWeight = weight;
	}

	// instance methods
	/**
	Returns the name of the module.
	@return The name of the module.
	*/
	public String getModuleName()
	{
		return moduleName;
	}

	/**
	Returns the proportion of the assessment that is examination.
	@return An integer representing the percentage of the assessment
	based upon the examination.
	*/
	public int getExamRatio()
	{
		return examWeight;
	}

	/**
	Returns the proportion of the assessment that is coursework.
	@return An integer representing the percentage of the assessment
	based upon the coursework.
	*/
	public int getCourseworkRatio()
	{
		return 100-examWeight;
	}
}
